Linked Questions

1
vote
0answers
136 views

node version outdated [duplicate]

I am trying to install Yeoman in my machine but i am getting the error node outdated,when i checked my versions i got this. node --version && npm --version v0.10.37 1.4.28 if my versions ...
126
votes
10answers
389k views

How do you update npm to the latest version? [duplicate]

I'm having issues with npm in a Vagrant box I'm setting up. I noticed that the npm version is somewhat old, so I wanted to check the problem with the latest release. It is my understanding that you ...
1
vote
1answer
3k views

Node Bash path confusion on Ubuntu 16 using n

I tried to install n for node version updates following this answers direction. It was successful in upgrading me to node v7 but had a side effect. Node is now found: /usr/local/bin/node If I type ...
0
votes
2answers
4k views

How to upgrade/install newest version of nodejs on Ubuntu 14.04

I have been working an hour for this. Taken from their official documentation : curl -sL https://deb.nodesource.com/setup_4.x | sudo -E bash - sudo apt-get install -y nodejs However, its never ...
0
votes
1answer
2k views

No way to upgrade nodejs in this case [duplicate]

No matter how I try I end up with nodejs 4.2.6. Is it a joke? $ nodejs -v v4.2.6 Uninstall and 4.2.6 returns like a virus $ sudo apt-get install nodejs Reading package lists... Done Building ...
1
vote
2answers
2k views

Is it possible to install Node.js and NPM on Ubuntu Core?

I would like to know if Node.js is available in Ubuntu Core and if yes, how I can install it. I see this issue Node on Snappy Ubuntu, but it says nothing. Thank you very much.
0
votes
0answers
2k views

Change nodejs version?

I need to use the following versions for my script to properly continue working. npm -v 5.8.0 node -v v9.10.1 nodejs -v v4.2.6 I have npm and node correct but I cannot get nodejs to use v4.2.6 ...
0
votes
1answer
1k views

Error with Node and Gulp

I am trying to install paperwork, and while following https://github.com/twostairs/paperwork/wiki/Installing-Paperwork-on-Ubuntu-14.10 I got near the very end when I get this. :/var/log/nginx# ...
0
votes
1answer
783 views

Need help fixing Segmentation Fault

I'm still fairly new to linux and find myself making annoying noob mistakes. Yet, still loving the experience so what does that really say about me? I ran into an interesting problem that I'm not ...
-1
votes
1answer
757 views

I'm not able to upgrade NodeJS on Ubuntu 14.04

I'm currently using Ubuntu 14.04 LTS, and I installed NodeJS 0.10. I am now trying to upgrade to version 5 of NodeJS. I used the commands below to upgrade: wget -qO- https://deb.nodesource.com/...
0
votes
1answer
310 views

Error message updating node.js

this is my first question on the community and I am quiet a newbie to Ubuntu. I am on version 16.04. I am trying to update my node.js following the steps on the best answer in this post: How can I ...